define("WinMeterWrapper", ["viewBuilderApi", "componentmodelComponentApi", "translationmanagerApi", "clientkernelLoaderApi", "slotModelApi", "winMeterApi", "displayEngineApi", "displayEngineUtils", "gameLayoutApi", "BABYLON", "clientkernelEventbusApi", "clientkernelModulesApi", "WinMeterWrapperApi"],
    function(viewBuilderApi, componentmodelComponentApi, translationmanagerApi, clientkernelLoaderApi, slotModelApi, winMeterApi, displayEngineApi, displayEngineUtils, gameLayoutApi, BABYLON, clientkernelEventbusApi, clientkernelModulesApi, WinMeterWrapperApi) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof WinMeterWrapper == 'undefined') {
            var WinMeterWrapper = {};
        };
        WinMeterWrapper.Activator = function(context) {};
        WinMeterWrapper.Activator = ck_implements(WinMeterWrapper.Activator, clientkernelModulesApi.IModuleActivator);
        WinMeterWrapper.Activator.__interfaces__ = [clientkernelModulesApi.IModuleActivator];
        WinMeterWrapper.Activator.__name__ = ["WinMeterWrapper", "Activator"];
        WinMeterWrapper.Activator.prototype.start = function(context) {
            context.getServiceTracker([viewBuilderApi.IViewBuilderFactory, clientkernelLoaderApi.IAssetRegistry, displayEngineApi.IDisplayProvider, translationmanagerApi.ITranslationManager]).then(function(context1) {
                WinMeterWrapper.ExternalService.initialize(context1);
                context1.registerService(new WinMeterWrapper.WMWrapperFactory(context1), WinMeterWrapperApi.WMWrapperDeclaration, null);
            });
        };
        WinMeterWrapper.Activator.prototype.stop = function(context) {};
        WinMeterWrapper.Activator.main = function() {};
        WinMeterWrapper.Activator.prototype.__class__ = WinMeterWrapper.Activator;
        WinMeterWrapper.ExternalService = function() {};
        WinMeterWrapper.ExternalService.__name__ = ["WinMeterWrapper", "ExternalService"];
        WinMeterWrapper.ExternalService.assetRegistry = null;
        WinMeterWrapper.ExternalService.displayProvider = null;
        WinMeterWrapper.ExternalService.viewBuilderFactory = null;
        WinMeterWrapper.ExternalService.translationManager = null;
        WinMeterWrapper.ExternalService.context = null;
        WinMeterWrapper.ExternalService.initialize = function(cntxt) {
            WinMeterWrapper.ExternalService.context = cntxt;
            WinMeterWrapper.ExternalService.assetRegistry = WinMeterWrapper.ExternalService.context.getAnyService(clientkernelLoaderApi.IAssetRegistry, null);
            WinMeterWrapper.ExternalService.displayProvider = WinMeterWrapper.ExternalService.context.getAnyService(displayEngineApi.IDisplayProvider, null);
            WinMeterWrapper.ExternalService.viewBuilderFactory = WinMeterWrapper.ExternalService.context.getAnyService(viewBuilderApi.IViewBuilderFactory, null);
            WinMeterWrapper.ExternalService.translationManager = WinMeterWrapper.ExternalService.context.getAnyService(translationmanagerApi.ITranslationManager, null);
        };
        WinMeterWrapper.ExternalService.getAsset = function(id) {
            return WinMeterWrapper.ExternalService.assetRegistry.getAsset(id).getContent();
        };
        WinMeterWrapper.ExternalService.loadAsset = function(id, loadCallback) {
            WinMeterWrapper.ExternalService.assetRegistry.getAsset(id).getContent().then(function(data) {
                loadCallback(data);
            });
        };
        WinMeterWrapper.ExternalService.prototype.__class__ = WinMeterWrapper.ExternalService;
        WinMeterWrapper.WMWrapperFactory = function(context) {
            this.context = context;
        };
        WinMeterWrapper.WMWrapperFactory = ck_implements(WinMeterWrapper.WMWrapperFactory, clientkernelModulesApi.IService);
        WinMeterWrapper.WMWrapperFactory = ck_implements(WinMeterWrapper.WMWrapperFactory, componentmodelComponentApi.IComponentFactory);
        WinMeterWrapper.WMWrapperFactory.__interfaces__ = [clientkernelModulesApi.IService, componentmodelComponentApi.IComponentFactory];
        WinMeterWrapper.WMWrapperFactory.__name__ = ["WinMeterWrapper", "WMWrapperFactory"];
        WinMeterWrapper.WMWrapperFactory.prototype.context = null;
        WinMeterWrapper.WMWrapperFactory.prototype.getComponentDeclaration = function() {
            return WinMeterWrapperApi.WMWrapperDeclaration;
        };
        WinMeterWrapper.WMWrapperFactory.prototype.createComponent = function(context) {
            var cfgId = context.getConfiguration();
            new WinMeterWrapper.WinMeterWrapper(context, cfgId);
        };
        WinMeterWrapper.WMWrapperFactory.prototype.__class__ = WinMeterWrapper.WMWrapperFactory;
        WinMeterWrapper.WinMeterWrapper = function(context, cfgId) {
            var _g = this;
            this.context = context;
            this.wmWrapperImplPort = context.getImplementedPort(WinMeterWrapperApi.IWMWrapperImplementationPort);
            this.winMeterPort = context.getUsedPort(winMeterApi.IWinMeterPort);
            this.winMeterPort.onBigAnimationStart().subscribe($bind(this, this.onWinMeterBigAnimationStart));
            this.winMeterPort.onMediumAnimationStart().subscribe($bind(this, this.onWinMeterMediumAnimationStart));
            this.winMeterPort.onDisplayWinFinished().subscribe($bind(this, this.onDisplayWinFinished));
            WinMeterWrapper.ExternalService.assetRegistry.getAsset("winmeter_animation_config").getContent().then(function(data) {
                _g.config = data;
                _g.confetti = new WinMeterWrapper.Confetti(_g.config.particles.bitmaps_count, _g.config.particles.colors);
            });
            this.init();
        };
        WinMeterWrapper.WinMeterWrapper.__name__ = ["WinMeterWrapper", "WinMeterWrapper"];
        WinMeterWrapper.WinMeterWrapper.prototype.context = null;
        WinMeterWrapper.WinMeterWrapper.prototype.layoutPayload = null;
        WinMeterWrapper.WinMeterWrapper.prototype.layoutPort = null;
        WinMeterWrapper.WinMeterWrapper.prototype.winMeterPort = null;
        WinMeterWrapper.WinMeterWrapper.prototype.wmWrapperImplPort = null;
        WinMeterWrapper.WinMeterWrapper.prototype.config = null;
        WinMeterWrapper.WinMeterWrapper.prototype.mediumAnimationTween = null;
        WinMeterWrapper.WinMeterWrapper.prototype.bigAnimationTween = null;
        WinMeterWrapper.WinMeterWrapper.prototype.mediumWinBkg = null;
        WinMeterWrapper.WinMeterWrapper.prototype.bigWinBkg = null;
        WinMeterWrapper.WinMeterWrapper.prototype.bigWinmain = null;
        WinMeterWrapper.WinMeterWrapper.prototype.yInitial = null;
        WinMeterWrapper.WinMeterWrapper.prototype.xInitial = null;
        WinMeterWrapper.WinMeterWrapper.prototype.hInitial = null;
        WinMeterWrapper.WinMeterWrapper.prototype.wInitial = null;
        WinMeterWrapper.WinMeterWrapper.prototype.confettiContainer = null;
        WinMeterWrapper.WinMeterWrapper.prototype.confetti = null;
        WinMeterWrapper.WinMeterWrapper.prototype.confettiTimer = null;
        WinMeterWrapper.WinMeterWrapper.prototype.onDisplayWinFinished = function(e) {
            var _g = this;
            this.stopTweens();
            this.wmWrapperImplPort.onDisplayWinFinished().publish(null);
            if (this.confettiTimer != null) this.confettiTimer.stop();
            _hcmn_.haxe_Timer.delay(function() {
                _g.confetti.clear();
            }, 1000);
        };
        WinMeterWrapper.WinMeterWrapper.prototype.stopTweens = function() {
            if (this.mediumAnimationTween != null) this.mediumAnimationTween.stop();
            if (this.bigAnimationTween != null) this.bigAnimationTween.stop();
            if (this.mediumWinBkg != null) this.mediumWinBkg.setAlpha(0);
            if (this.bigWinBkg != null) this.bigWinBkg.setAlpha(0);
            if (this.bigWinmain != null) this.bigWinmain.setAlpha(0);
        };
        WinMeterWrapper.WinMeterWrapper.prototype.init = function() {
            this.wmWrapperImplPort.displayWin().subscribe($bind(this, this.onDisplayWin));
            this.wmWrapperImplPort.showMessage().subscribe($bind(this, this.onDisplayMessage));
        };
        WinMeterWrapper.WinMeterWrapper.prototype.onWinMeterMediumAnimationStart = function(e) {
            var first = this.mediumWinBkg == null;
            this.mediumWinBkg = e.getPayload().getChildByName("range2anim");
            this.mediumWinBkg.setAlpha(0);
            if (first) this.saveInitialPositionAndSize();
            displayEngineUtils.TweenX.from(this.mediumWinBkg, this.getTweenParams(0, 0.8, 0.8), null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 94,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterMediumAnimationStart"
            });
            this.mediumAnimationTween = displayEngineUtils.TweenX.serial([displayEngineUtils.TweenX.to(this.mediumWinBkg, this.getTweenParams(1, 1, 1), 500, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 96,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterMediumAnimationStart"
            }), displayEngineUtils.TweenX.to(this.mediumWinBkg, this.getTweenParams(1, 1, 0.84), 500, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 97,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterMediumAnimationStart"
            }), displayEngineUtils.TweenX.to(this.mediumWinBkg, this.getTweenParams(1, 1, 1), 500, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 98,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterMediumAnimationStart"
            }), displayEngineUtils.TweenX.to(this.mediumWinBkg, this.getTweenParams(1, 1.02, 1.02), 500, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 99,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterMediumAnimationStart"
            }), displayEngineUtils.TweenX.to(this.mediumWinBkg, this.getTweenParams(1, 1, 1), 500, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 100,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterMediumAnimationStart"
            }), displayEngineUtils.TweenX.to(this.mediumWinBkg, this.getTweenParams(1, 1.02, 1.02), 500, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 101,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterMediumAnimationStart"
            }), displayEngineUtils.TweenX.to(this.mediumWinBkg, this.getTweenParams(1, 1, 1), 500, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 102,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterMediumAnimationStart"
            }), displayEngineUtils.TweenX.to(this.mediumWinBkg, {
                alpha: 0
            }, 500, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 103,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterMediumAnimationStart"
            })], null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 95,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterMediumAnimationStart"
            }).repeat();
        };
        WinMeterWrapper.WinMeterWrapper.prototype.saveInitialPositionAndSize = function() {
            this.xInitial = this.mediumWinBkg.getX();
            this.yInitial = this.mediumWinBkg.getY();
            this.hInitial = this.mediumWinBkg.getHeight();
            this.wInitial = this.mediumWinBkg.getWidth();
        };
        WinMeterWrapper.WinMeterWrapper.prototype.getTweenParams = function(a, scX, scY) {
            return {
                x: this.getXForScale(scX),
                scaleX: scX,
                y: this.getYForScale(scY),
                scaleY: scY,
                alpha: a
            };
        };
        WinMeterWrapper.WinMeterWrapper.prototype.getYForScale = function(scale) {
            return this.yInitial + this.hInitial * (1 - scale) * 0.5;
        };
        WinMeterWrapper.WinMeterWrapper.prototype.getXForScale = function(scale) {
            return this.xInitial + this.wInitial * (1 - scale) * 0.5;
        };
        WinMeterWrapper.WinMeterWrapper.prototype.onWinMeterBigAnimationStart = function(e) {
            this.mediumAnimationTween.stop();
            this.mediumWinBkg.setAlpha(0);
            var animatedObject = e.getPayload();
            this.bigWinBkg = animatedObject.getChildByName("range3_star");
            this.bigWinmain = animatedObject.getChildByName("range3_center");
            this.confettiContainer = animatedObject.getChildByName("confetti");
            this.bigWinBkg.setAlpha(0);
            this.bigWinmain.setAlpha(0);
            displayEngineUtils.TweenX.from(this.bigWinBkg, this.config.animations.bottomfrom, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 137,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterBigAnimationStart"
            });
            displayEngineUtils.TweenX.from(this.bigWinmain, this.config.animations.centralfrom, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 138,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterBigAnimationStart"
            });
            this.bigAnimationTween = displayEngineUtils.TweenX.serial([displayEngineUtils.TweenX.to(this.bigWinBkg, _hcmn_.Reflect.field(this.config.animations, "b_tween1"), this.config.animations.b_tween2.time, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 140,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterBigAnimationStart"
            }), displayEngineUtils.TweenX.to(this.bigWinBkg, _hcmn_.Reflect.field(this.config.animations, "b_tween2"), this.config.animations.b_tween1.time, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 141,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterBigAnimationStart"
            }), displayEngineUtils.TweenX.to(this.bigWinBkg, _hcmn_.Reflect.field(this.config.animations, "b_tween3"), this.config.animations.b_tween3.time, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 142,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterBigAnimationStart"
            }), displayEngineUtils.TweenX.to(this.bigWinBkg, _hcmn_.Reflect.field(this.config.animations, "b_tween4"), this.config.animations.b_tween4.time, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 143,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterBigAnimationStart"
            })], null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 139,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterBigAnimationStart"
            }).repeat();
            displayEngineUtils.TweenX.serial([displayEngineUtils.TweenX.to(this.bigWinmain, _hcmn_.Reflect.field(this.config.animations, "c_tween1"), this.config.animations.c_tween1.time, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 146,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterBigAnimationStart"
            }), displayEngineUtils.TweenX.to(this.bigWinmain, _hcmn_.Reflect.field(this.config.animations, "c_tween2"), this.config.animations.c_tween2.time, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 147,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterBigAnimationStart"
            }), displayEngineUtils.TweenX.to(this.bigWinmain, _hcmn_.Reflect.field(this.config.animations, "c_tween3"), this.config.animations.c_tween2.time, null, null, null, null, null, null, null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 148,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterBigAnimationStart"
            })], null, {
                fileName: "WinMeterWrapper.hx",
                lineNumber: 145,
                className: "components.winmeterwrapper.WinMeterWrapper",
                methodName: "onWinMeterBigAnimationStart"
            }).repeat();
            this.throwConfetti();
            this.confettiTimer = new _hcmn_.haxe_Timer(this.config.particles.interval);
            this.confettiTimer.run = $bind(this, this.throwConfetti);
        };
        WinMeterWrapper.WinMeterWrapper.prototype.throwConfetti = function() {
            this.confetti.playParticle(this.confettiContainer);
        };
        WinMeterWrapper.WinMeterWrapper.prototype.onDisplayWin = function(e) {
            this.winMeterPort.displayWin().publish(e.getPayload());
        };
        WinMeterWrapper.WinMeterWrapper.prototype.onDisplayMessage = function(e) {
            this.winMeterPort.showMessage().publish(e.getPayload());
        };
        WinMeterWrapper.WinMeterWrapper.prototype.__class__ = WinMeterWrapper.WinMeterWrapper;
        WinMeterWrapper.Confetti = function(bitmapsCount, colors) {
            this.particleSystems = null;
            this.assetsLoaded = false;
            this.imgData = [];
            var _g = this;
            this.numBitmaps = bitmapsCount;
            this.colors = colors;
            WinMeterWrapper.ExternalService.loadAsset("particles_animation", function(data) {
                _g.animDef = data;
                _g.checkIsLoadingDone();
            });
            WinMeterWrapper.ExternalService.loadAsset("particles_json", function(data1) {
                _g.config = data1;
                _g.checkIsLoadingDone();
            });
            var _g1 = 0;
            var _g2 = this.numBitmaps;
            while (_g1 < _g2) {
                var i = [_g1++];
                WinMeterWrapper.ExternalService.loadAsset("particle_png_" + i[0], (function(i) {
                    return function(data2) {
                        _g.imgData[i[0]] = data2;
                        _g.checkIsLoadingDone();
                    };
                })(i));
            }
        };
        WinMeterWrapper.Confetti.__name__ = ["WinMeterWrapper", "Confetti"];
        WinMeterWrapper.Confetti.prototype.animDef = null;
        WinMeterWrapper.Confetti.prototype.config = null;
        WinMeterWrapper.Confetti.prototype.imgData = null;
        WinMeterWrapper.Confetti.prototype.assetsLoaded = null;
        WinMeterWrapper.Confetti.prototype.callbackF = null;
        WinMeterWrapper.Confetti.prototype.container = null;
        WinMeterWrapper.Confetti.prototype.particleSystems = null;
        WinMeterWrapper.Confetti.prototype.numBitmaps = null;
        WinMeterWrapper.Confetti.prototype.colors = null;
        WinMeterWrapper.Confetti.prototype.checkIsLoadingDone = function() {
            this.assetsLoaded = this.config != null && this.imgData.length == this.numBitmaps && this.animDef != null;
            if (this.assetsLoaded && this.callbackF != null) this.callbackF();
        };
        WinMeterWrapper.Confetti.prototype.playParticle = function(container) {
            var _g = this;
            this.container = container;
            if (!this.assetsLoaded) {
                this.callbackF = function() {
                    _g.playParticle(container);
                };
                return;
            }
            this.createParticles();
            var stage = WinMeterWrapper.ExternalService.displayProvider.getDefaultStage();
            var _g1 = 0;
            var _g11 = this.particleSystems;
            while (_g1 < _g11.length) {
                var p = _g11[_g1];
                ++_g1;
                container.addChild(p);
                p.start(stage);
            }
        };
        WinMeterWrapper.Confetti.prototype.createParticles = function() {
            this.particleSystems = [];
            var factory = WinMeterWrapper.ExternalService.displayProvider.getFactory();
            var bitmaps;
            var _g = [];
            var _g2 = 0;
            var _g1 = this.numBitmaps;
            while (_g2 < _g1) {
                var i = _g2++;
                _g.push(factory.createBitmap(this.imgData[i]));
            }
            bitmaps = _g;
            var _g11 = 0;
            var _g21 = this.colors;
            while (_g11 < _g21.length) {
                var c = _g21[_g11];
                ++_g11;
                this.config.color.start = c;
                this.config.color.end = c;
                var particles = factory.createParticleSystem(bitmaps, "", this.config);
                particles.setName(WinMeterWrapper.Confetti.PARTICLES_NAME);
                this.particleSystems.push(particles);
            }
        };
        WinMeterWrapper.Confetti.prototype.clear = function() {
            if (this.container == null) return;
            var isDO = function(e) {
                return _hcmn_.js_Boot.__instanceof(e, displayEngineApi.IDisplayObject);
            };
            var mapToDO = function(e1) {
                return _hcmn_.js_Boot.__cast(e1, displayEngineApi.IDisplayObject);
            };
            var isParticles = function(e2) {
                return e2.getName() == WinMeterWrapper.Confetti.PARTICLES_NAME;
            };
            var filteredChildren = _hcmn_.Lambda.list(this.container.getChildren()).filter(isDO).map(mapToDO).filter(isParticles);
            var _g_head = filteredChildren.h;
            var _g_val = null;
            while (_g_head != null) {
                var child;
                child = (function($this) {
                    var $r;
                    _g_val = _g_head[0];
                    _g_head = _g_head[1];
                    $r = _g_val;
                    return $r;
                }(this));
                this.container.removeChild(child);
            }
        };
        WinMeterWrapper.Confetti.prototype.__class__ = WinMeterWrapper.Confetti;
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof js == 'undefined') {
            var js = {};
        };
        if (!js._Boot) {
            js._Boot = {};
        };
        js._Boot.HaxeError = function(val) {
            Error.call(this);
            this.val = val;
            this.message = String(val);
            if (Error.captureStackTrace) Error.captureStackTrace(this, js._Boot.HaxeError);
        };
        js._Boot.HaxeError.__name__ = ["js", "_Boot", "HaxeError"];
        js._Boot.HaxeError.__super__ = Error;
        for (var k in Error.prototype) js._Boot.HaxeError.prototype[k] = Error.prototype[k];
        js._Boot.HaxeError.prototype.val = null;
        js._Boot.HaxeError.prototype.__class__ = js._Boot.HaxeError;
        WinMeterWrapper.Confetti.PARTICLES_NAME = "PARTICLES";;
        return {
            exports: WinMeterWrapper,
            activator: WinMeterWrapper.Activator
        };
    });
//# sourceURL=ballooniesIxfWinmeterwrapper.js